package de.uka.ipd.consensus.foundation.user;

import de.uka.ipd.consensus.foundation.AbstractConsensusFoundationEvent;
import de.uka.ipd.consensus.foundation.ConsensusFoundationManager;
import de.uka.ipd.consensus.foundation.schema.User;

/**
 * Event objects of this type are passed to UserListeners.
 * @author Thomas Much
 * @version 2006-06-14
 * @see UserListener
 */
public class UserEvent extends AbstractConsensusFoundationEvent {

	
	public UserEvent(ConsensusFoundationManager cfm, User source) {
		super(cfm,source);
	}
	
	
	/**
	 * Returns the user who caused the event, i.e. who created an account, logged on/off etc.
	 * @return the user who caused the event
	 */
	public User getUser() {
		return (User)getSource();
	}
}
